Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile
Class SuccessorNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.usermgmt.profile.ProfileNotFoundException
                              |
                              +--com.bea.p13n.usermgmt.profile.SuccessorNotFoundException

public class SuccessorNotFoundException
extends ProfileNotFoundException

Application exception to signal that a profile's successor could not be resolved. This will be thrown when:

- An explicit successor is given, that cannot be found
- A profile's implicit successor cannot be found
- A profile's successor is set to a non-existant profile

  See Also:
    Serialized Form

  Constructor Summary
  `SuccessorNotFoundException()`
  `SuccessorNotFoundException(java.lang.String message)` Constructor
  `SuccessorNotFoundException(java.lang.String message, java.lang.Throwable t)` Constructor
  `SuccessorNotFoundException(java.lang.Throwable t)` Constructor

  Methods inherited from class com.bea.p13n.exceptions.ApplicationException
  `getCause, printStackTrace, printStackTrace, printStackTrace, toString`

  Methods inherited from class java.lang.Throwable
  `fillInStackTrace, getLocalizedMessage, getMessage`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Constructor Detail

  ### SuccessorNotFoundException

      public SuccessorNotFoundException()

  ### SuccessorNotFoundException

      public SuccessorNotFoundException(java.lang.String message)

    Constructor

    Parameters:
      `message` - String representing the Exception message

  ### SuccessorNotFoundException

      public SuccessorNotFoundException(java.lang.String message,
                                        java.lang.Throwable t)

    Constructor

    Parameters:
      `message` - String representing the Exception message
      `t` - Throwable object representing the wrapped or chained exception

  ### SuccessorNotFoundException

      public SuccessorNotFoundException(java.lang.Throwable t)

    Constructor

    Parameters:
      `t` - Throwable object representing the wrapped or chained exception

  Overview | Package | Class | Tree | Deprecated | Index | Help
  | © 2002 BEA Systems, Inc.
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2002 BEA Systems, Inc. All Rights Reserved